Bug 4257 - encoding of Gmp.mpz objects does not work.
: encoding of Gmp.mpz objects does not work.
Status: RESOLVED FIXED
: Pike
Core
: 7.6
: All Other
: P3 (normal) normal
: ---
Assigned To:
:
:
:
  Show dependency treegraph
 
Reported: 2006-10-17 14:08 CET by
Modified: 2009-11-17 15:44 CET (History)
Scrum Prio:
In scrum?: ---
Story included in sprints:
Unplanned in sprints:


Attachments


Description From 2006-10-17 14:08:39 CET
> encode_value( Gmp.mpz(3) );
Cannot find Gmp.mpz(3) in Gmp.
/usr/local/pike/7.6.91/lib/master.pike:3761:
    master()->find_index(Gmp,Gmp.mpz(3),UNDEFINED)
/usr/local/pike/7.6.91/lib/master.pike:3954:
    master()->nameof(@0=Gmp.mpz(3),UNDEFINED)
HilfeInput:1: HilfeInput()->___HilfeWrapper()
------- Comment #1 From 2009-04-01 14:53:15 CET -------
Update: This still fails in Pike 7.8, but with:

Pike v7.8 release 205 running Hilfe v3.5 (Incremental Pike Frontend)
> encode_value( Gmp.mpz(3) );
Failed to find name of unencodable object _static_modules.
master.pike:5168: master()->nameof(_static_modules,({0}))
master.pike:5199: master()->nameof(_static_modules.Gmp,({0}))
master.pike:5150: master()->nameof(Gmp.mpz(3),UNDEFINED)
HilfeInput:1: HilfeInput()->___HilfeWrapper()
------- Comment #2 From 2009-11-17 15:44:10 CET -------
Fixed in Pike 7.8.371 and later.

Note

You need to log in before you can comment on or make changes to this bug.